package org.jeecg.modules.ctop.service;

import cn.com.ctop.common.module.entity.Advertiser;
import cn.com.ctop.common.module.entity.UserAllocation;
import cn.com.ctop.common.module.vo.SheetInfoVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 广告主信息表
 * @Author: jeecg-boot
 * @Date: 2019-06-11
 * @Version: V1.0
 */
public interface IAdvertiserService extends IService<Advertiser> {

    List<Advertiser> getBySaleId(String saleId);

    List<UserAllocation> getAllocationsBySaleId(String saleId);

    SheetInfoVo getXxlStatisticInfo(Long projectId, String systemType, Long accountId, String sheetName);

    List<SheetInfoVo> getSystemTypeXxlStatisticInfo(Long projectId);

    List<SheetInfoVo> getYdStatisticInfo(Long projectId, String startDate, String endDate) throws ParseException;

    List<UserAllocation> getAllocationsByAdvertiserId(String id);
}
